Bug 33368 - (G450) Spontainous X crashes and freezes.
(G450) Spontainous X crashes and freezes.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: screensaver
  Show dependency treegraph
 
Reported: 2001-03-27 07:04 EST by adler
Modified: 2007-04-18 12:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-12 08:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start x log file which shows that g450 does not support 32 bpp (3.85 KB, text/plain)
2001-03-28 05:58 EST, adler
no flags Details

  None (edit)
Description adler 2001-03-27 07:04:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.25smp i686)


I get random crashes and freezes of the X11 server. I have a g450 card and
I'm running wolverine with the latest kernel out of rawhide and the latest
XFree86 4.0.3-3 from Mike Harris public area. I've been seeing these
spontainous crashes and freezes ever since I upgraded to kernel 4.0.x and
XFree86 4.0.x. Also at work, I have a similar setup, except I have a g400.
It also showes these spontaious freezes and crashes so I switched to the
XFree86 3.3.6 server which elimiates these problems. At home, I tried the
same but the XFree86 3.3.6 server has no support for the g450 :(

Reproducible: Sometimes
Steps to Reproduce:
1.Buy a g400/g450
2.Install wolverine
3.type startx
4.Startup netscape, start browsing
5.Startup xmms (I don't know if this has anything to do
with it, but its what I normaly do.)
6.Configure gnome panel with the gnome ticker, gome weather, and
the nice 3 bar cpu/mem status monitor gome applet.) Those are all
the applets which are generating X11 traffice at all times.
7. Start reading e-mail, or surfing the web.
8. Wait about 20 minutes or so.
9. Seems to be correlated with mouse movement. (i.e. the freeze
or crash occures when I move the mouse.)
	

This morning I just had an X11 crash and a freeze. When the system freezes,
I logged into my system through a laptop via SSH and saw that the X11
server was running at 100% of the CPU. Looks like it fell into an infitate
loop. I then ran gdb and attached to the process and did a where. Here is
the output from this.

  6:32am  up 23:14,  4 users,  load average: 1.08, 0.84, 0.46
97 processes: 94 sleeping, 3 running, 0 zombie, 0 stopped
CPU0 states: 28.0% user, 71.1% system,  0.0% nice,  0.0% idle
CPU1 states: 87.0% user, 12.0% system,  0.0% nice,  0.0% idle
Mem:   378064K av,  374412K used,    3652K free,       0K shrd,   65060K
buff
Swap: 1028120K av,   30076K used,  998044K free                   79932K
cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
 5021 adler     19   0  2648 2420  2192 R    97.2  0.6   3:08 gweather
 4955 root      19   0 56608  52M  4508 R    85.0 14.1   7:49 X
 8396 root      14   0  1084 1084   840 R     5.6  0.2   0:00 top
    1 root       8   0   120   72    72 S     0.0  0.0   0:05 init
    2 root       8   0     0    0     0 SW    0.0  0.0   0:00 keventd
    3 root       9   0     0    0     0 SW    0.0  0.0   0:00 kswapd
    4 root       9   0     0    0     0 SW    0.0  0.0   0:00 kreclaimd
    5 root       9   0     0    0     0 SW    0.0  0.0   0:00 bdflush
    6 root       9   0     0    0     0 SW    0.0  0.0   0:04 kupdate
    7 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 mdrecoveryd
  134 root       9   0     0    0     0 SW    0.0  0.0   0:00 kreiserfsd
  413 root       9   0   368  312   268 S     0.0  0.0   0:00 pump
  693 root       9   0   212  164   164 S     0.0  0.0   0:00 syslogd
  698 root       9   0   732    4     4 S     0.0  0.0   0:00 klogd
  710 rpc        9   0    84    4     4 S     0.0  0.0   0:00 portmap
  725 rpcuser    9   0   104    4     4 S     0.0  0.0   0:00 rpc.statd
[root@ool-18bb788d /root]# gdb /etc/X11/X 4955
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
/root/4955: No such file or directory.
Attaching to program: /etc/X11/X, process 4955
Reading symbols from /usr/lib/libz.so.1...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libpam.so.0...done.
Loaded symbols for /lib/libpam.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libpam_misc.so.0...done.
Loaded symbols for /lib/libpam_misc.so.0
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
0x080c031e in CopyGC () at eval.c:41
41	eval.c: No such file or directory.
	in eval.c
(gdb) where
#0  0x080c031e in CopyGC () at eval.c:41
#1  0x080b2d5e in ProcCopyGC () at eval.c:41
#2  0x080b0f84 in Dispatch () at eval.c:41
#3  0x080c20fb in main () at eval.c:41
#4  0x40088091 in __libc_start_main (main=0x80c1b70 <main>, argc=4, 
    ubp_av=0xbffffc0c, init=0x806c048 <_init>, fini=0x817d52c <_fini>, 
    rtld_fini=0x4000e374 <_dl_fini>, stack_end=0xbffffbfc)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 

Here is the output from my startx.log file which I collected.

[adler@ool-18bb788d adler]$ more startx.log.0 


XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Mar 26 21:57:24 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic PT810-2"
(**) |   |-->Device "Matrox|MGA G450 AGP"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) Matrox MGA G400 AGP rev 130, Mem @ 0xd4000000/25,
0xd6000000/14, 0xd7000000/23
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
	mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400
(--) Assigning device section with no busID to primary device
(--) Chipset mgag400 found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(**) MGA(0): Depth 24, (--) framebuffer bpp 24
(==) MGA(0): RGB weight 888
(--) MGA(0): Chipset: "mgag400"
(II) MGA(0): Offscreen memory usage will be limited to 512 lines if the DRI
is enabled.
(**) MGA(0): Using AGP Mode 4x
(--) MGA(0): Linear framebuffer at 0xD4000000
(--) MGA(0): MMIO registers at 0xD6000000
(--) MGA(0): Pseudo-DMA transfer window at 0xD7000000
(==) MGA(0): BIOS at 0xC0000
(--) MGA(0): Video BIOS info block at offset 0x07720
(WW) MGA(0): Video BIOS info block not detected!
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(--) MGA(0): VideoRAM: 32768 kByte
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.2.0
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: (nil)
(II) MGA(0): end of I2C Monitor info

(--) MGA(0): No DDC signal
(II) MGA(0): DDC Monitor info: (nil)
(II) MGA(0): end of DDC Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 360 MHz
(II) MGA(0): ViewSonic PT810-2: Using hsync range of 30.00-96.00 kHz
(II) MGA(0): ViewSonic PT810-2: Using vrefresh range of 50.00-120.00 Hz
(II) MGA(0): Clock range:  12.00 to 360.00 MHz
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) MGA(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) MGA(0): Default mode "1920x1440" deleted (hsync out of range)
(--) MGA(0): Has SDRAM
(--) MGA(0): Virtual size is 1600x1200 (pitch 1600)
(**) MGA(0): Default mode "1600x1200": 202.5 MHz, 93.8 kHz, 75.0 Hz
(**) MGA(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) MGA(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(**) MGA(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(**) MGA(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(**) MGA(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(==) MGA(0): DPI set to (75, 75)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(==) Depth 24 pixmap format is 32 bpp
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(--) MGA(0): 16 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] bpp: 24 depth: 24
(II) MGA(0): [drm] Direct rendering only supported in 16 and 32 bpp modes
(II) MGA(0): Using 2295 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid filled trapezoids
	8x8 mono pattern filled rectangles
	8x8 mono pattern filled trapezoids
	Indirect CPU to Screen color expansion
	Screen to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		19 256x256 slots
		6 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled
(**) Mouse0: Protocol: "PS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SESSION_MANAGER=local/ool-18bb788d.dyn.optonline.net:/tmp/.ICE-unix/4959
Xlib:  extension "XINERAMA" missing on display ":0.0".
SetKbdSettings - type: 2 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
rm: cannot remove `/home/adler/.gnome//gmc-eL6kyA': No such file or
directory
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device

Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with
width 65527 and height 1

Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with
width 65527 and height 1
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5

** WARNING **: Failed to get METAR data.

GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
xinit:  connection to X server lost.
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 76921 requests (76915 known processed) with 0 events remaining.
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server
:0.0.
X connection to :0.0 broken (explicit kill or server shutdown).


Yes, I was running with AGPmode4x enabled but I really don't think
this was the cause for the problem. After the freeze I turned off
AGPmode4x and then had a crash. This occured about 5 minutes after
starting up X11 through startx. The following is the log file from this
last crash.

[adler@ool-18bb788d adler]$ more startx.log.2 


XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Mar 27 06:40:51 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic PT810-2"
(**) |   |-->Device "Matrox|MGA G450 AGP"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) Matrox MGA G400 AGP rev 130, Mem @ 0xd4000000/25,
0xd6000000/14, 0xd7000000/23
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
	mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400
(--) Assigning device section with no busID to primary device
(--) Chipset mgag400 found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(**) MGA(0): Depth 24, (--) framebuffer bpp 24
(==) MGA(0): RGB weight 888
(--) MGA(0): Chipset: "mgag400"
(II) MGA(0): Offscreen memory usage will be limited to 512 lines if the DRI
is enabled.
(==) MGA(0): Using AGP Mode 1x
(--) MGA(0): Linear framebuffer at 0xD4000000
(--) MGA(0): MMIO registers at 0xD6000000
(--) MGA(0): Pseudo-DMA transfer window at 0xD7000000
(==) MGA(0): BIOS at 0xC0000
(--) MGA(0): Video BIOS info block at offset 0x07720
(WW) MGA(0): Video BIOS info block not detected!
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(--) MGA(0): VideoRAM: 32768 kByte
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.2.0
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: (nil)
(II) MGA(0): end of I2C Monitor info

(--) MGA(0): No DDC signal
(II) MGA(0): DDC Monitor info: (nil)
(II) MGA(0): end of DDC Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 360 MHz
(II) MGA(0): ViewSonic PT810-2: Using hsync range of 30.00-96.00 kHz
(II) MGA(0): ViewSonic PT810-2: Using vrefresh range of 50.00-120.00 Hz
(II) MGA(0): Clock range:  12.00 to 360.00 MHz
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) MGA(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) MGA(0): Default mode "1920x1440" deleted (hsync out of range)
(--) MGA(0): Has SDRAM
(--) MGA(0): Virtual size is 1600x1200 (pitch 1600)
(**) MGA(0): Default mode "1600x1200": 202.5 MHz, 93.8 kHz, 75.0 Hz
(**) MGA(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) MGA(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(**) MGA(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(**) MGA(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(**) MGA(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(==) MGA(0): DPI set to (75, 75)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
(==) Depth 24 pixmap format is 32 bpp
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(--) MGA(0): 16 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] bpp: 24 depth: 24
(II) MGA(0): [drm] Direct rendering only supported in 16 and 32 bpp modes
(II) MGA(0): Using 2295 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid filled trapezoids
	8x8 mono pattern filled rectangles
	8x8 mono pattern filled trapezoids
	Indirect CPU to Screen color expansion
	Screen to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		19 256x256 slots
		6 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled
(**) Mouse0: Protocol: "PS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SESSION_MANAGER=local/ool-18bb788d.dyn.optonline.net:/tmp/.ICE-unix/1580
Xlib:  extension "XINERAMA" missing on display ":0.0".
SetKbdSettings - type: 2 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
xinit:  connection to X server lost.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
ICE default IO error handler doing an exit(), pid = 1596, errno = 0
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).


The Signal 11 is somewhat interesting. I remember in the early days, I
would get signal 11's which ment you spent too little on your mother
board/memory. You could generate these by trying to compile the kernel and
gcc would abort half way through the build with a signal 11 error. Is
something similar going on here?

As for the freeze, is there any way I can generate more information
regarding the code segement the X11 server is hung in? If Mike Harris
builds a version of the server with the -g option on, I would be glad to
install it and attach to the running process again like I just did this
time. (Or do I need the full source tree from which the X11 server was
built?)

I hope this is enough info. Please contact me if you need more information.
Steve.
Comment 1 Mike A. Harris 2001-03-27 15:57:37 EST
Ok, please file a separate bug report for the G400.  Please include all the
same info you provided for the G450 bug for the G400 bug.  The two are
likely different bugs.  Also, when supplying logs and configs please supply the
whole file as an attachment instead of inline.  There is a file attach feature
in bugzilla below.  It makes it easier to read the bug report.

This probably won't change anything, but could you try it anyway?  Try
changing your default depth to 32bpp.  The logs indicate you're using 24bpp
and this may possibly trigger some weird bug with DRM which only supports
16 and 32bpp.  Also try disabling DRI and GLcore in your config entirely.
I do not think DRI is well supported on the G450 if at all yet (although
your logs seem to indicate it is not being used anyway)  just a
process of elimination.

One other question..  are you overclocking your CPU or video card at all?
If so, do the problems go away by clocking things properly?
Comment 2 adler 2001-03-28 05:55:45 EST
I've tried running my g450 in 32pbb but I get an error from the X server saying
that the g450 does not support 32pbb mode(?). I'll attach the start.log file so
you can see for your self. Before disabling the GLcore and dri extentions, I'm
going to run in 16bpp mode. I'm also running with the -core option so that the X
server will generate a core file which I can send to you as well. I'll keep you
posted.
Comment 3 adler 2001-03-28 05:58:22 EST
Created attachment 13923 [details]
start x log file which shows that g450 does not support 32 bpp
Comment 4 Mike A. Harris 2001-05-16 09:55:11 EDT
Sorry, my mistake, DRI only does depth 16.  One thing that is important,
is that if you have X configured to use DRI, you must lower your resolution
if you are used to using extremely high resolution near the limits of your
card.  That includes the virtual resolution also.  For example, if you
use 1600x1200, in depth 24 using fbbpp 32, it needs:

1600 * 1200 * 4 = 7680000 = 7.6Mb of RAM.  Double buffering doubles this
requirement, and using DRI doubles it again I believe, and that isn't counting
memory for textures and pixbufs and stuff like that.

Does lowering your resolution down to 1024x768 solve the problem?
Comment 5 Need Real Name 2001-06-29 06:53:50 EDT
I'm having the same problem on a Millenium g200 8mb card..
Comment 6 Bjorn Hansen 2001-12-03 00:17:39 EST
I've got similar problems.  Ever since I upgraded from RH 7.0 to 7.2 I've had
random freezes.  They only happen when I"m actually using the computer (I think
only when I'm actually moving the mouse).  I've got a voodoo3 3000.  X freezes
up, but things like music keep playing.  no responce from the mouse or keyboard.
I have to use the reboot button :(

I don't really have a clue how to set up logs and stuff or what to look at in
that respect so any help there would be nice too.
Comment 7 adler 2001-12-03 08:33:44 EST
Try the following. Go into your PC bios and turn *off* interupts for your
videocard. Next, remove the dri option in /etc/X11/XF86Config-4 file. This was a
workaround which I found to work for me. There is clearly something wonko's with
XFree86 4.x and the new kernels.
Comment 8 Bjorn Hansen 2001-12-03 21:05:43 EST
I looked in my bios, couldn't see anywhere I could turn off the interupts for
the videocard.  I removed the dri opion, but it didn't help.  

When I got home today my computer was frozen displaying the screensaver; so my
comment about it only happening when I'm using the computer is no longer true.
Comment 9 adler 2001-12-03 21:41:46 EST
The symptoms your having are identical to mine. Keep looking for the interupt
options on your video card. It has to be there. Do a '/sbin/lspci -v' and you
should get the pci setting for your video card. In these settings, you should
see what interupt the card is using. If it does not show an interupt setting,
then the problem may be elsewhere.
Comment 10 Bjorn Hansen 2001-12-03 23:53:22 EST
ok, it list the interupts 

	Subsystem: 3Dfx Interactive, Inc. Voodoo3 AGP
	Flags: 66Mhz, fast devsel, IRQ 11

I've disabled OpenGL in my XF86Config-4 file, and so far no freezes, but it's
only been 3 and a half hours (most of that nap time).  If it freezes again I'll
have to try and figgure out if I can disable the interupts in the bios.
Comment 11 Bjorn Hansen 2001-12-05 00:37:53 EST
well, was up and running about 24 hours.  just decided I'de fixed it when it
happened again.  I guess it wasn't the openGL, but that seemed to cut down on
the frequency.

  I was reading another bug report, which seemed similar, and someone also
mentioned that bugs 41799, 40449,38708, and 35897 are also similar.
Comment 12 Bjorn Hansen 2001-12-05 00:53:34 EST
oops,  just noticed after that last comment, I'de been messing around with wine,
and wanted some different resolutions, so I ran Xconfigurator again, and it gave
me a new XFre86config-4 file, which had OpenGL enabled again, this wasn't too
long before the freeze up.  So I still suspect OpenGL now. .
Comment 13 Bjorn Hansen 2001-12-14 19:15:26 EST
well, while disabling openGL definately reduced the frequency of the freezes, it
didn't make the problem go away all together.  So now i don't know what to try
Comment 14 adler 2001-12-15 08:26:55 EST
I'll tell you what you need to do. *HUNT DOWN AND TURN OFF THE INTERUPTS
TO YOUR VIDEO CARD!*. You can start by doing an lspci -v as root. For
example on my system it generates the following output:

00:12.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at df104000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at ec00 [size=64]
	Memory at df000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5159
(prog-if 00 [VGA])
	Subsystem: ATI Technologies Inc: Unknown device 013a
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
	I/O ports at d000 [size=256]
	Memory at dd000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

Notice in the Flags line for the ethernet controler it says
IRQ 11, but in the video card the Flags has no IRQ entry. This
is becuase I turned off interupts in the BIOS. I know you having trouble
with that, but keep looking!
Comment 15 Bjorn Hansen 2001-12-15 17:10:42 EST
Ok, I went through my bios again, looked at every single option, couldn't find
anything that would turn off the interupts for my video card(or anything else
for that mater).  It was on IRQ 11, so I even tried changind IRQ 11 to reserved,
but it just got moved to IRQ 10.  Any other ideas on where I might be able to
turn off the interupts?  I updated my Bios, but no luck, it's still only the
same options.
Comment 16 adler 2001-12-16 09:57:27 EST
Do you have a pci video card? or an agp one? If its PCI, then it maybe that you
need to look at the PCI interupts. Sometimes in the bios you can manage them
yourself, perhaps on a perslot basis? Or you can assign all of the PCI interupts
to ISA, leaving only enought for the cards you have. There is a limited number
of PCI interupts. Maybe there is a way in linux to disable the pci interupt.
Another thing to try is sign up to one of the more popular linux users groups,
like svlug or nylug or what not and ask the question on how to trun off your
video card interupts. good luck
Comment 17 Mike A. Harris 2002-02-03 09:18:48 EST
Just a note... if you disable interrupts on your video card, then you
must also disable DRI 3D acceleration as it requires exclusive use of
the video interrupt.  If the video interrupt conflicts or is shared
with other hardware, then *BOOM*BOOM* also.  ;o)
Comment 18 Mike A. Harris 2002-09-11 17:54:15 EDT
I believe this may be similar problem to bug 73827.  Please check that
bug report out, and try the suggestions there, and report back.
Comment 19 adler 2002-09-12 08:44:06 EDT
I would retire this bug that I submitted a long time ago. One thing I noticed
was that when I upgraded my motherboard from a tyan piii to a asus amd board, my
X problems went away. So I'm wondering if the problem as to do with some pci
implementation of interupts or something odd like that. In anycase, I'm not
having X problems anymore. Cheers. (Also, I'm using a g550 now...)
Comment 20 Mike A. Harris 2002-11-07 07:20:02 EST
Ok, closing report as mentioned in last comment.  If anyone has this problem
again, please upgrade to the latest official Red Hat Linux distribution
release (currently 8.0), and try both the stock XFree86 included, as well
as the latest rawhide release.  If it does not work, please open a new
bug report with full details.

Thanks

Note You need to log in before you can comment on or make changes to this bug.